RMLIGS-GERMAN(1)

NAME
rmligs-german - remove incorrectly used ligatures from German LaTeX documents

SYNOPSIS
rmligs-german [options] FILE(s) ...

DESCRIPTION
rmligs-german is a program for removing incorrectly used ligatures from LaTeX documents. This version is intended for German language texts only. Words like `Auflage' e.g. will be changed to `Auf"|lage' which is typographically correct.

The wordlist data is based on the igerman98 dictionary.

The input data may be ISO-8859-1/15 or UTF-8 encoded text. Also the German LaTeX like encoding of umlauts ("a, "u etc.) is treated correctly.

OPTIONS

--filter, -f
filter mode. This is useful for streaming.

--test, -t
    test mode. This just shows what would be changed but nothing will be written (read-only). This does not make sense in filter mode.

--interactive, -i
    prompt before applying changes

--quiet, -q
    quiet operation

SEE ALSO
The German language /usr/share/doc/rmligs-german/README.ligatures file from the documentation of this program,

Duden (the German's orthography bible),

nice and mostly older hand-set books

BUGS
There is no sanity checking of LaTeX files; rmligs-german will happily correct words in all files - even binaries! For safety reasons there is always a .bak file created.

checking latin1 text in UTF-8 locales might throw out some error messages about malformed UTF-8 but that does not matter - the file is processed correctly.

AUTHOR
Bjoern Jacke

Send mail to bjoern [at] j3e.de for bug reports and suggestions.